Fetch Transaction Status

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

NameRequirementDescription
ipayIdMandatoryInstantpay Transaction Id
latitudeMandatoryCurrent location latitude
longitudeMandatoryCurrent location longitude

Sample Request

curl --location 'https://api.instantpay.in/fi/remit/out/nepal/fetchTransactionStatus' \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'X-Ipay-Outlet-Id: {{outletId}}'
--data '{
    "ipayId": "",
    "latitude": "",
    "longitude": ""
}'
POST /fi/remit/out/nepal/fetchTransactionStatus HTTP/1.1
Host: api.instantpay.in
Accept: application/json
Content-Type: application/json
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5IEcETrD5Yx+Q=
X-Ipay-Client-Secret: 679db35f926b8d0240a8c0d28729528ee8e6d5effa5fa0b20c04454004d2d825
X-Ipay-Endpoint-Ip: 45.115.105.205
X-Ipay-Outlet-Id: 72762
Content-Length: 65

{
    "ipayId": "",
    "latitude": "",
    "longitude": ""
}

Response Parameters

NameTypeDescription
statuscodeStringInstantPay Status Code
actcodeStringAction Code
statusStringStatus Message
dataArrayResponse Data (If Present)
timestampStringCurrent time (YYYY-MM-DD HH:MM:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id ( If transaction otherwise it is null )
enviromentStringLive/Sandbox
Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json